#include<stdio.h>
int main()
{
	int d, Yekan, Dahgan, Sadgan;
	printf ("Natije = ");
	for(d = 100; d <= 999; d++) 
	{
		Yekan = d % 10;
		Dahgan = (d % 100) / 10;
		Sadgan = d / 100;
		if(d % (Sadgan + Dahgan + Yekan) == 0)
			printf("%d ", d);
	}
	getch();
}

